new_insurance/Controllers/InsuranceController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Web.Mvc;

using new_insurance.Models;

namespace new_insurance.Controllers
{
    public class InsuranceController : Controller
    {
        // GET: Insurance2
        public ActionResult Index(PersonInsurance model)
        {
            int age = DateTimeExtensions.Age(model.Birthdate);

            if (model.Risk.Equals(Risk.Riesgo))
            {
                ModelState.AddModelError("Risk", "Necesitamos conocer el riego");
            }

            //Si es mayor de 65 años la cantidad no puede ser mayor 10,000
            if (age > 65 && model.Ammount > 10000)
            {
                ModelState.AddModelError("Ammount", "El monto no debe exceder los 10000 pesos");
            }

            //Si el riesgo es alto no mayor de 5,000
            if (model.Risk.Equals(Risk.Alto) && model.Ammount > 5000)
            {
                ModelState.AddModelError("Ammount", "El riesgo es Alto, el monto permitido es menor o igual a 5000"); 
            }

            //o	Si es medio y mayor a 50, no mayor a 7,500
            if (model.Risk.Equals(Risk.Medio) && age > 50) {
                if(model.Ammount > 7500)
                {
                    ModelState.AddModelError("Ammount", "El riesgo es Alto, el monto permitido es menor o igual a 7500");
                }
            }

            //Ninguna cantidad debe pasar de 50,000
            if (model.Ammount > 50000)
            {
                ModelState.AddModelError("Ammount", "El monto debe ser menor de 50000");
            }

            var country = model.CountryListItem;

            if(!ModelState.IsValid)
            {
                var modelPerson = BuildModelFromPersonInsurance(model);
                return View("Create", modelPerson);
            }

            return View(model);

        }

        // GET: Insurance/Create
        public ActionResult Create()
        {
            var insurance = new PersonInsurance();
            insurance.Birthdate = DateTime.Now.Date;

            var model = BuildModelFromPersonInsurance(insurance);

            return View(model);
        }

        private List<SelectListItem> BuildCountryListItem(DataRowCollection country)
        {
            List<SelectListItem> countryListItem = new List<SelectListItem>();
            for (int i = 0; i < country.Count - 1; i++)
            {
                countryListItem.Add(new SelectListItem
                {
                    Value = i.ToString(),
                    Text = Convert.ToString(country[i]["CountryName"]),
                });
            }

            return countryListItem;
        }

        private PersonInsurance BuildModelFromPersonInsurance(PersonInsurance model)
        {
            Repository repository = new Repository();
            string PathRespository;

            PathRespository = Server.MapPath(repository.GetPathRespository());
            repository.InitializeRepository(PathRespository);

            model.CountryListItem = BuildCountryListItem(repository.GetCountrysFromRepository());

            return model;
        }
    }
}

new_insurance/Views/Insurance/Create.cshtml
@model new_insurance.Models.PersonInsurance
@using new_insurance.Models;

@{
    ViewBag.Title = "Create";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

@section Scripts {

    @Scripts.Render("~/bundles/jqueryui")
    @Styles.Render("~/Content/cssjqryUi")
    
    <script type="text/javascript">

        $(document).ready(function () {
            loadDatePicker();
            onChangeRisk();
            cleanBirthDay();
        });

        function cleanBirthDay() {
            $("#birthdate").val("");
        }

        function loadDatePicker() {
            $('input[type=datetime]').datepicker({
                dateFormat: "dd/M/yy",
                changeMonth: true,
                changeYear: true,
                yearRange: "-60:+0"
            });
        }

        function onChangeRisk() {
            $("#risk").on("change", function () {
                $("#riskvalue").val($(this).val());
            });
        }
    </script>
}

<style>
    .domicilio {
        padding-left: 75px;
        width: 65%;
    }
</style>


<h2>Solicitud de seguro</h2>

@using (Html.BeginForm("Index", "Insurance", FormMethod.Post))
{
    @Html.AntiForgeryToken()

    <div class="domicilio">
        <hr />
    </div>
    
    <div class="form-horizontal">
        <h4>Ingrese sus datos personales</h4>
        @Html.HiddenFor(model=>model.PersonInsuranceId, 1)
        
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-group">
            @Html.LabelFor(model => model.Name, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Name, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Name, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.LastName, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.LastName, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.LastName, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="domicilio">
            <h3>Domicilio</h3>
            <hr />
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Street, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Street, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Street, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.NoInt, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.NoInt, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.NoInt, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.NoEx, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.NoEx, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.NoEx, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Colony, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Colony, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Colony, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.City, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.City, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.City, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.State, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.State, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.State, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
                @Html.LabelFor(model => model.CountryListItem, htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">
                    @Html.DropDownList("Country", Model.CountryListItem, "Pais", new { @class = "form-control" })
                </div>
            </div>
        
        <div class="domicilio">
            <hr />
        </div>
        

        <div class="form-group">
            @Html.LabelFor(model => model.PhoneNumber, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.PhoneNumber, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.PhoneNumber, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Email, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Email, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Email, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Birthdate, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Birthdate, new { htmlAttributes = new { @class = "form-control date-picker", @id= "birthdate" } })
                @Html.ValidationMessageFor(model => model.Birthdate, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Ammount, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Ammount, new { @min = "1", @max = "50000", @type = "number", htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Ammount, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Risk, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownListFor(model=>model.Risk, PersonInsurance.GetRiskList(), new { @class = "form-control", @placeholder="Riesgo" })
                @Html.ValidationMessageFor(model => model.Risk, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Observations, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.TextAreaFor(model => model.Observations, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Observations, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Enviar" class="btn btn-primary" />
                <input type="reset" value="Limpiar" class="btn btn-warning" />
            </div>
        </div>
    </div>
}

new_insurance/Views/Insurance/Index.cshtml
@model new_insurance.Models.PersonInsurance

@{
    ViewBag.Title = "Exito";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

@section Scripts {

@Scripts.Render("~/bundles/jqueryui")
@Styles.Render("~/Content/cssjqryUi")



<script type="text/javascript">

    $(document).ready(function () {
        showSecods();
        setTimeout(function () {
            window.location.href = '@Url.Content("~/Insurance/Create")'
        }, 15000);
    });


    function showSecods() {
        var $countdown = $("p.countdown");
        $countdown.hide(0);
        var count = 15,
            countdown = setInterval(function () {
                $countdown.html("Terminaremos de procesar su solicitud en " + count + " segundos!").show("slow");
                if (count == 0) {
                    $countdown.hide("slow");
                    clearInterval(countdown);
                }
                count--;
            }, 1000);
    }
</script>
}

<h2>Solicitud de seguro procesada</h2>

<div>
    <h4>Usted ha realizado con exito la solicitud de seguro</h4>
    <hr />

    <div class="alert alert-success" role="alert">
        <h4 class="alert-heading">Procesando su solicitud!</h4>
        <p>Usted ha realizado con exito la solicitud de seguro.</p>
        <dl class="dl-horizontal">
            <dt>Nombre y Pellidos:</dt>
            <dd>@String.Format("{0} y {1}", Model.Name, Model.LastName)</dd>

            <dt>Domicilio</dt>
            <dd>@String.Format("Calle: {0} No.Int: {1} No.Ex: {2} Colonia: {3} Estado: {4} Ciudad: {5}", Model.Street, Model.NoInt, Model.NoEx, Model.Colony, Model.State, Model.City)</dd>

            <dt>Tel&eacute;fono</dt>
            <dd>@Model.PhoneNumber</dd>
            <dt>Email</dt>
            <dd>@Model.Email</dd>

            <dt>Fecha nacimiento</dt>
            <dd>@Model.Birthdate</dd>

            <dt>Monto</dt>
            <dd>@Model.Ammount</dd>

            <dt>Observaciones</dt>
            <dd>@Model.Observations</dd>
        </dl>
        <br />
        <hr>
        <p class="countdown"></p>
    </div>
</div>